/*
 * bgrotd.h
 * Central header file for bgrot server
 * bgrot project
 * $Fuller: myprograms/bgrot/server/include/bgrotd.h,v 1.21 2003/03/23 14:50:38 fullermd Exp $
 */

#ifndef _BGROTD_H_
#define _BGROTD_H_

/* Definitions */
#define XV_PROGNAME		"xv"
#define XV_WAIT			10 /* Seconds */


/* Might use dmalloc, do this here */
#ifdef USE_DMALLOC
#include <dmalloc.h>
#endif


/* Prototypes */
/* Core stuff */
void bg_core(void);

/* util functions */
int bg_daemon(void);
BGROTD_CONF *gencf(char *);
void usage(void);
void emerg_exit(int);

/* Threads */
void *show_images_thr(void *);
void *display_image_thr(void *);

#endif /* !_BGROTD_H_ */
